SHA256SUM(1)

BEZEICHNUNG
sha256sum - SHA256-Prüfsummen berechnen und überprüfen

ÜBERSICHT
sha256sum [OPTION]… [DATEI]…

BESCHREIBUNG

SHA256-Prüfsummen (256 Bit) ausgeben oder überprüfen.

Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

-b, --binary
    Im Binärmodus lesen

-c, --check
    SHA256‐Prüfsummen aus DATEIen lesen und überprüfen

--tag
    Eine Prüfsumme im BSD-Stil erstellen

-t, --text
    Im Textmodus lesen (Voreinstellung)

  Die folgenden fünf Optionen sind nur beim Überprüfen sinnvoll:

--ignore-missing
    meldet keinen Fehlschlag oder Status für fehlende Dateien

--quiet
    Nicht für jede erfolgreich geprüfte Datei OK ausgeben

--status
    Nichts ausgeben, der Statuscode zeigt Erfolg an

--strict
    Bei ungeeignet formatierten Prüfsummenzeilen mit von 0 verschiedenem Fehlercode abbrechen

-w, --warn
    Bei ungeeignet formatierten Prüfsummenzeilen warnen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Summen werden berechnet wie in FIPS-180-2 beschrieben. Beim Überprüfen sollte die Eingabe eine frühere Ausgabe dieses Programms sein. Die normale Arbeitsweise ist es, eine Zeile mit Prüfsumme, einem Zeichen, das den Eingabeyp anzeigt (»*« für binär, Leerzeichen für Text oder wenn binär nicht von Bedeutung ist), und dem Namen jeder DATEI auszugeben.

AUTOR
Geschrieben von Ulrich Drepper, Scott Miller und David Madore.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von sha256sum an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2016 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/sha256sum>
oder lokal via: info '(coreutils) sha2 utilities'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.